Glib::Value< std::string > Class Template Reference
Generic Values

Specialization for strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< std::string >:
[legend]

## Public Types

typedef std::string | CppType
Public Types inherited from Glib::ValueBase_String
typedef const gchar* | CType

## Public Member Functions

void | set (const std::string& data)
std::string | get () const

## Additional Inherited Members

Static Public Member Functions inherited from Glib::ValueBase_String
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_String
void | set_cstring (const char* data)
const char* | get_cstring () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< std::string >

Specialization for strings.

## Member Typedef Documentation

typedef std::string Glib::Value< std::string >::CppType

## Member Function Documentation

std::string Glib::Value< std::string >::get | ( |  | ) | const

inline

void Glib::Value< std::string >::set | ( | const std::string & | data | ) |